Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00125 Graphics Trivial Have not tried Jan 22, 2008, 07:20 Jun 13, 2021, 10:30
Tester AWJ View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver hornet.cpp
Version 0.104u2 Fixed in Version 0.233 Build
Fixed in Git Commit da36cac Github Pull Request #
Summary 00125: gradius4: 24KHz and 15KHz display issue.
Description In gradius4, if the monitor type dipswitch is changed to 15kHz, the 3D graphics are shrunk to fit the lower resolution, but the 2D tilemap still displays at the 24kHz size, and consequently the powerup bar is hidden off the bottom of the screen.

In nbapbp, when switching from 24KHz monitor to 15KHz monitor, MAME does not resize the screen. It just displays in a small window in the previous size without clearing that part.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems gradius4
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.01504
couriersud
Developer
Jul 6, 2008, 10:49
This bug was registered before the video rewrite. However the issues prevail.
User avatar
No.18963
Hydreigon
Tester
Jun 12, 2021, 00:07
Fix'd: https://git.redump.net/mame/commit/?id=da36cacbb5be1b3506533812186ccb06e8ecec4f
User avatar
No.18973
hap
Developer
Jun 13, 2021, 10:28
Ok I'll take your word for it
User avatar
No.18974
hap
Developer
Jun 13, 2021, 10:30
Fixed by Ville Linde, he's not on Mametesters.